# 安防项目
Version |  Update Time  | Status | Author |  Description
---|---|---|---|---
v2022-07-14 11:42:04|2022-07-14 11:42:04|auto|@pc|Created by smart-doc



## 大华摄像机
### 大华平台数据同步
**URL:** https://smartpark.caih.com/dmapi/dhController/getDhDeviceListNew

**Type:** GET

**Author:** laowo

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 大华平台数据同步

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|消息|-
data|object|内容|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "61273",
	"msg": "11kpcp",
	"data": {
		"waring": "You may have used non-display generics."
	},
	"exception": "2y713i"
}
```

### 记录查询
**URL:** https://smartpark.caih.com/dmapi/dhController/getLocalDeviceList

**Type:** GET

**Author:** laowo

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 记录查询

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
pageNo|int32|页数|false|-
pageSize|int32|条数|false|-
manufacturer|string|厂商类型0位置1大华2海康|false|-
status|string|设备状态|false|-
id|string|设备id|false|-
name|string|设备名称|false|-
joinDevice|int32|No comments found.|false|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|消息|-
data|object|内容|-
└─pageSize|int32|条数|-
└─totalCount|int32|总条数|-
└─start|int32|No comments found.|-
└─pageNo|int32|页数|-
└─totalPages|int32|总页数|-
└─pageList|array|数据|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceId|int32|设备id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|string|id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|string|名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─serviceType|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceIp|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─proxyport|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─belong|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─role|int32|角色|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─shopName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|int32|类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─manufacturer|string|厂商|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firstPhone|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─videoType|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─password|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─rights|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─model|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─devMaintainer|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─comCode|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceCn|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─devMaintainerPh|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─address|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ip|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ownerGroup|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firstOwner|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceSn|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─unitnum|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firstPosition|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceLocPliceStation|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─baudRate|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─firstTel|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─unitNodes|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─port|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─callNumber|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─logintype|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─devicePort|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─user|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─registDeviceCode|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceLocation|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─dhdesc|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─nvrIp|string|主机id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─nvrPort|int32|主机端口|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "61273",
	"msg": "wqbx2q",
	"data": {
		"pageSize": 10,
		"totalCount": 819,
		"start": 573,
		"pageNo": 690,
		"totalPages": 897,
		"pageList": [
			{
				"deviceId": 486,
				"id": "63",
				"name": "明轩.杜",
				"serviceType": 741,
				"deviceIp": "143.123.166.15",
				"proxyport": 153,
				"belong": "a0998t",
				"role": 740,
				"shopName": "明轩.杜",
				"type": 684,
				"manufacturer": "sqe833",
				"firstPhone": "17374292054",
				"videoType": "4bmn1w",
				"password": "sqhb7c",
				"rights": "ankk95",
				"model": "v7fllu",
				"devMaintainer": "vzh0hm",
				"comCode": "61273",
				"deviceCn": "77nf0f",
				"devMaintainerPh": "lt8000",
				"address": "Apt. 052 田栋94041号， 湖州， 鲁 679599",
				"ip": "143.123.166.15",
				"ownerGroup": "dqj0zs",
				"firstOwner": "yoi51w",
				"deviceSn": "ps1tit",
				"unitnum": 448,
				"firstPosition": "kv6336",
				"deviceLocPliceStation": "g6307d",
				"baudRate": "5plo4h",
				"firstTel": "y219yr",
				"unitNodes": "3nwb2z",
				"port": 842,
				"callNumber": "bbb7lx",
				"logintype": "2me3u1",
				"devicePort": 531,
				"user": "uj70i9",
				"registDeviceCode": "61273",
				"status": 754,
				"deviceLocation": "uiy2dh",
				"dhdesc": "ahpwji",
				"nvrIp": "143.123.166.15",
				"nvrPort": 904
			}
		]
	},
	"exception": "yobcim"
}
```

### 获取设备下单元信息
**URL:** https://smartpark.caih.com/dmapi/dhController/getLocalUnitNodes

**Type:** GET

**Author:** laowo

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 获取设备下单元信息

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
pageNo|int32|页数|false|-
pageSize|int32|条数|false|-
deviceId|string|设备id|false|-
type|string|类型|false|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|消息|-
data|object|内容|-
└─pageSize|int32|条数|-
└─totalCount|int32|总条数|-
└─start|int32|No comments found.|-
└─pageNo|int32|页数|-
└─totalPages|int32|总页数|-
└─pageList|array|数据|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|int32|id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─streamType|string|类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─zeroChnEncode|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─dhindex|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─channelnum|string|单元下通道数量|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─subType|string|单元类型 1 编码单元 2解码单元 3 报警输入 4 报警输出 5电视墙输入；6电视墙输出；7门禁单元；8对讲单元；10东环单元；14 匝道 15 led；16 周界单元|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceId|string|设备id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceName|string|设备名称|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "61273",
	"msg": "2pjjm1",
	"data": {
		"pageSize": 10,
		"totalCount": 63,
		"start": 566,
		"pageNo": 430,
		"totalPages": 522,
		"pageList": [
			{
				"id": 973,
				"streamType": "iij4ue",
				"zeroChnEncode": "61273",
				"dhindex": "k1ief1",
				"channelnum": "xluqkj",
				"subType": "26elei",
				"type": "k13bx5",
				"deviceId": "63",
				"deviceName": "明轩.杜"
			}
		]
	},
	"exception": "6ehytu"
}
```

### 本地单元下属通道信息获取
**URL:** https://smartpark.caih.com/dmapi/dhController/getLocalChannel

**Type:** GET

**Author:** laowo

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 本地单元下属通道信息获取

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
pageNo|int32|页数|false|-
pageSize|int32|条数|false|-
unitId|string|通道id|false|-
status|string|状态|false|-
cameraType|string|类型|false|-
name|string|名称|false|-
deviceId|string|No comments found.|false|-
id|string|No comments found.|false|-
unitType|string|No comments found.|false|-
deviceCode|string|No comments found.|false|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|消息|-
data|object|内容|-
└─pageSize|int32|条数|-
└─totalCount|int32|总条数|-
└─start|int32|No comments found.|-
└─pageNo|int32|页数|-
└─totalPages|int32|总页数|-
└─pageList|array|数据|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─channelId|int32|通道编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|string|id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─unitId|string|单元编号|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─subMulticastPort|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─latitude|string|精度|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─recordLocation|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─direct|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─channelType|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cmsXmlExt|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─rights|string|权限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─longitude|string|维度|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─linkChl3|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─linkChl4|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─linkChl1|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─linkChl2|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─channelRemoteType|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─viewDomain|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─ctrlId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cameraType|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─subMulticastIp|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─cameraFunctions|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─nvrChnlIp|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─multicastPort|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─multicastIp|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─channelSn|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─chdesc|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─status|int32|状态|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─nvrIp|string|主机地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hlsPort|string|主机端口|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceId|string|设备id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deviceName|string|设备名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─unitType|string|单元类型|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "61273",
	"msg": "vyl1q0",
	"data": {
		"pageSize": 10,
		"totalCount": 415,
		"start": 946,
		"pageNo": 775,
		"totalPages": 271,
		"pageList": [
			{
				"channelId": 872,
				"id": "63",
				"unitId": "63",
				"subMulticastPort": 729,
				"latitude": "4lvhfq",
				"recordLocation": 304,
				"direct": "u4uysb",
				"channelType": 526,
				"cmsXmlExt": "rxecpm",
				"rights": "6hwn9c",
				"longitude": "0iwrai",
				"linkChl3": "d9w9v2",
				"linkChl4": "3saoqz",
				"linkChl1": "fcis0m",
				"linkChl2": "os8vbh",
				"channelRemoteType": "q5d896",
				"viewDomain": "xn--wg3a.org",
				"ctrlId": "63",
				"cameraType": 572,
				"subMulticastIp": "143.123.166.15",
				"cameraFunctions": 264,
				"name": "明轩.杜",
				"nvrChnlIp": "143.123.166.15",
				"multicastPort": 547,
				"multicastIp": "143.123.166.15",
				"channelSn": "jo7k8d",
				"chdesc": "7k5ek4",
				"status": 61,
				"nvrIp": "143.123.166.15",
				"hlsPort": "naa85a",
				"deviceId": "63",
				"deviceName": "明轩.杜",
				"unitType": "ldiu1j"
			}
		]
	},
	"exception": "h1l66z"
}
```

### 
**URL:** https://smartpark.caih.com/dmapi/dhController/getDeviceOne

**Type:** GET

**Author:** laowo

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
deviceId|string|No comments found.|true|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|消息|-
data|object|内容|-
└─deviceId|int32|设备id|-
└─id|string|id|-
└─name|string|名称|-
└─serviceType|int32|No comments found.|-
└─deviceIp|string|No comments found.|-
└─proxyport|int32|No comments found.|-
└─belong|string|No comments found.|-
└─role|int32|角色|-
└─shopName|string|No comments found.|-
└─type|int32|类型|-
└─manufacturer|string|厂商|-
└─firstPhone|string|No comments found.|-
└─videoType|string|No comments found.|-
└─password|string|No comments found.|-
└─rights|string|No comments found.|-
└─model|string|No comments found.|-
└─devMaintainer|string|No comments found.|-
└─comCode|string|No comments found.|-
└─deviceCn|string|No comments found.|-
└─devMaintainerPh|string|No comments found.|-
└─address|string|No comments found.|-
└─ip|string|No comments found.|-
└─ownerGroup|string|No comments found.|-
└─firstOwner|string|No comments found.|-
└─deviceSn|string|No comments found.|-
└─unitnum|int32|No comments found.|-
└─firstPosition|string|No comments found.|-
└─deviceLocPliceStation|string|No comments found.|-
└─baudRate|string|No comments found.|-
└─firstTel|string|No comments found.|-
└─unitNodes|string|No comments found.|-
└─port|int32|No comments found.|-
└─callNumber|string|No comments found.|-
└─logintype|string|No comments found.|-
└─devicePort|int32|No comments found.|-
└─user|string|No comments found.|-
└─registDeviceCode|string|No comments found.|-
└─status|int32|No comments found.|-
└─deviceLocation|string|No comments found.|-
└─dhdesc|string|No comments found.|-
└─nvrIp|string|主机id|-
└─nvrPort|int32|主机端口|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "61273",
	"msg": "txqkbj",
	"data": {
		"deviceId": 884,
		"id": "63",
		"name": "明轩.杜",
		"serviceType": 457,
		"deviceIp": "143.123.166.15",
		"proxyport": 104,
		"belong": "3h2xmg",
		"role": 800,
		"shopName": "明轩.杜",
		"type": 593,
		"manufacturer": "tvzvef",
		"firstPhone": "17374292054",
		"videoType": "ewc4km",
		"password": "uzxpz7",
		"rights": "d5jn2j",
		"model": "e4stux",
		"devMaintainer": "24yhxn",
		"comCode": "61273",
		"deviceCn": "1wc0q3",
		"devMaintainerPh": "662m1o",
		"address": "Apt. 052 田栋94041号， 湖州， 鲁 679599",
		"ip": "143.123.166.15",
		"ownerGroup": "w0842x",
		"firstOwner": "c41bcp",
		"deviceSn": "q8zusg",
		"unitnum": 777,
		"firstPosition": "ia4n5a",
		"deviceLocPliceStation": "fyh4xn",
		"baudRate": "spa67t",
		"firstTel": "85vjls",
		"unitNodes": "0s07rv",
		"port": 97,
		"callNumber": "lvwn64",
		"logintype": "oojgh0",
		"devicePort": 700,
		"user": "jc3mzj",
		"registDeviceCode": "61273",
		"status": 254,
		"deviceLocation": "4yarnc",
		"dhdesc": "1ing0j",
		"nvrIp": "143.123.166.15",
		"nvrPort": 194
	},
	"exception": "2rp7vs"
}
```

### 
**URL:** https://smartpark.caih.com/dmapi/dhController/getChannelOne

**Type:** GET

**Author:** laowo

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
channelId|string|No comments found.|true|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|消息|-
data|object|内容|-
└─channelId|int32|通道编号|-
└─id|string|id|-
└─unitId|string|单元编号|-
└─subMulticastPort|int32|No comments found.|-
└─latitude|string|精度|-
└─recordLocation|int32|No comments found.|-
└─direct|string|No comments found.|-
└─channelType|int32|No comments found.|-
└─cmsXmlExt|string|No comments found.|-
└─rights|string|权限|-
└─longitude|string|维度|-
└─linkChl3|string|No comments found.|-
└─linkChl4|string|No comments found.|-
└─linkChl1|string|No comments found.|-
└─linkChl2|string|No comments found.|-
└─channelRemoteType|string|No comments found.|-
└─viewDomain|string|No comments found.|-
└─ctrlId|string|No comments found.|-
└─cameraType|int32|No comments found.|-
└─subMulticastIp|string|No comments found.|-
└─cameraFunctions|int32|No comments found.|-
└─name|string|No comments found.|-
└─nvrChnlIp|string|No comments found.|-
└─multicastPort|int32|No comments found.|-
└─multicastIp|string|No comments found.|-
└─channelSn|string|No comments found.|-
└─chdesc|string|No comments found.|-
└─status|int32|状态|-
└─nvrIp|string|主机地址|-
└─hlsPort|string|主机端口|-
└─deviceId|string|设备id|-
└─deviceName|string|设备名称|-
└─unitType|string|单元类型|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "61273",
	"msg": "krjh7o",
	"data": {
		"channelId": 812,
		"id": "63",
		"unitId": "63",
		"subMulticastPort": 462,
		"latitude": "6s3lyj",
		"recordLocation": 936,
		"direct": "q0yksf",
		"channelType": 185,
		"cmsXmlExt": "0z4ndx",
		"rights": "hv9d0s",
		"longitude": "7yecx6",
		"linkChl3": "afa9wk",
		"linkChl4": "418t2j",
		"linkChl1": "od55nw",
		"linkChl2": "tv3yve",
		"channelRemoteType": "2upsp3",
		"viewDomain": "xn--wg3a.org",
		"ctrlId": "63",
		"cameraType": 300,
		"subMulticastIp": "143.123.166.15",
		"cameraFunctions": 283,
		"name": "明轩.杜",
		"nvrChnlIp": "143.123.166.15",
		"multicastPort": 948,
		"multicastIp": "143.123.166.15",
		"channelSn": "scasz4",
		"chdesc": "ol4p1g",
		"status": 782,
		"nvrIp": "143.123.166.15",
		"hlsPort": "abhiqu",
		"deviceId": "63",
		"deviceName": "明轩.杜",
		"unitType": "ajebna"
	},
	"exception": "2muzse"
}
```

### h获取实时视频地址
**URL:** https://smartpark.caih.com/dmapi/dhController/getVideoLiveUrl

**Type:** POST

**Author:** laowo

**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** h获取实时视频地址

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
nvrIp|string|No comments found.|true|-
port|string|No comments found.|true|-
deviceID|string|No comments found.|true|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|状态|-
code|string|状态码|-
msg|string|消息|-
data|object|内容|-
exception|string|异常|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "61273",
	"msg": "3kdtqc",
	"data": {
		"waring": "You may have used non-display generics."
	},
	"exception": "opihah"
}
```
### 备注
#### 调用地址
* https://smartpark.caih.com/spapi/dhController/getLocalChannel?pageNo=1&pageSize=10&unitType=1
#### 拼接视频播放地址js代码
http://" + row.nvr_ip + ":" + row.hls_port + "/live/cameraid/" + row.deviceId + "%24" + row.id.split("$")[(row.id.split("$")).length-1]  + "/substream/1.m3u8

