# 东信运营中心大屏需求文档

## 项目背景
* 将东信的几个平台整合起来形成运营中心大屏

## 系统目标
* 对不同的模块/系统，形成不同的可视化大屏
* 保证任何数据都能够返回数据，包含延迟的数据或者缓存的数据


## 总体设计
### 项目分类 
* 大屏可视化服务
* 数据采集项目

### 分类原因
* 职能细分,大屏只负责展示,采集负责负责数据的采集
* 减少并发压力，集采系统需要对接各种不同的技术厂商来进行数据的采集和计算,数据规模较大的时候可以进行集群的部署来实现高扩展性
* 标注化的形成，有利于形成采集和计算的标准化工程，形成数据仓库

### 模块划分
* 能源环境
* 安防监控
* 出入通行
* 智慧场景
* 概览





